/* Decimal floating point support for GDB.

   Copyright 2006 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* Decimal floating point is one of the extension to IEEE 754, which is
   described in http://grouper.ieee.org/groups/754/revision.html and
   http://www2.hursley.ibm.com/decimal/.  It completes binary floating
   point by representing floating point more exactly.  */

/* There is a project intended to add DFP support into GCC, described in
   http://gcc.gnu.org/wiki/Decimal%20Floating-Point.  This file is intended
   to add DFP support into GDB.  */

#ifndef DFP_H
#define DFP_H
#include <string.h>
#include <stdio.h>
#include <stdint.h>

extern void decimal_to_string (const uint8_t *, int, char *);
extern int decimal_from_string (uint8_t *, int, char *);

#endif
